---
title: resource
type: input
status: stable
categories: ["Utility"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/input/resource.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


Resource is an input type that runs a resource input by its name.

```yml
# Config fields, showing default values
input:
  resource: ""
```

This input allows you to reference the same configured input resource in multiple places, and can also tidy up large nested configs. For
example, the config:

```yaml
input:
  broker:
    inputs:
      - kafka:
          addresses: [ TODO ]
          topics: [ foo ]
          consumer_group: foogroup
      - gcp_pubsub:
          project: bar
          subscription: baz
```

Could also be expressed as:

```yaml
input:
  broker:
    inputs:
      - resource: foo
      - resource: bar

input_resources:
  - label: foo
    kafka:
      addresses: [ TODO ]
      topics: [ foo ]
      consumer_group: foogroup

  - label: bar
    gcp_pubsub:
      project: bar
      subscription: baz
 ```

You can find out more about resources [in this document.](/docs/configuration/resources)


