---
title: nanomsg
type: output
status: stable
categories: ["Network"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/output/nanomsg.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


Send messages over a Nanomsg socket.

```yml
# Config fields, showing default values
output:
  label: ""
  nanomsg:
    urls: []
    bind: false
    socket_type: PUSH
    poll_timeout: 5s
    max_in_flight: 64
```

Currently only PUSH and PUB sockets are supported.

## Performance

This output benefits from sending multiple messages in flight in parallel for
improved performance. You can tune the max number of in flight messages with the
field `max_in_flight`.

## Fields

### `urls`

A list of URLs to connect to. If an item of the list contains commas it will be expanded into multiple URLs.


Type: `array`  
Default: `[]`  

```yml
# Examples

urls:
  - tcp://localhost:5556
```

### `bind`

Whether the URLs listed should be bind (otherwise they are connected to).


Type: `bool`  
Default: `false`  

### `socket_type`

The socket type to send with.


Type: `string`  
Default: `"PUSH"`  
Options: `PUSH`, `PUB`.

### `poll_timeout`

The maximum period of time to wait for a message to send before the request is abandoned and reattempted.


Type: `string`  
Default: `"5s"`  

### `max_in_flight`

The maximum number of messages to have in flight at a given time. Increase this to improve throughput.


Type: `int`  
Default: `64`  


