---
title: parallel
type: processor
status: stable
categories: ["Composition"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/processor/parallel.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


A processor that applies a list of child processors to messages of a batch as
though they were each a batch of one message (similar to the
[`for_each`](/docs/components/processors/for_each) processor), but where each message is
processed in parallel.

```yml
# Config fields, showing default values
label: ""
parallel:
  cap: 0
  processors: []
```

The field `cap`, if greater than zero, caps the maximum number of
parallel processing threads.

The functionality of this processor depends on being applied across messages
that are batched. You can find out more about batching [in this doc](/docs/configuration/batching).

## Fields

### `cap`

The maximum number of messages to have processing at a given time.


Type: `int`  
Default: `0`  

### `processors`

A list of child processors to apply.


Type: `array`  
Default: `[]`  


