---
title: jaeger
type: tracer
status: stable
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/tracer/jaeger.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

Send tracing events to a [Jaeger](https://www.jaegertracing.io/) agent or collector.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yml
# Common config fields, showing default values
tracer:
  jaeger:
    agent_address: ""
    collector_url: ""
    sampler_type: const
    flush_interval: ""
```

</TabItem>
<TabItem value="advanced">

```yml
# All config fields, showing default values
tracer:
  jaeger:
    agent_address: ""
    collector_url: ""
    sampler_type: const
    sampler_param: 1
    tags: {}
    flush_interval: ""
```

</TabItem>
</Tabs>

## Fields

### `agent_address`

The address of a Jaeger agent to send tracing events to.


Type: `string`  
Default: `""`  

```yml
# Examples

agent_address: jaeger-agent:6831
```

### `collector_url`

The URL of a Jaeger collector to send tracing events to. If set, this will override `agent_address`.


Type: `string`  
Default: `""`  
Requires version 3.38.0 or newer  

```yml
# Examples

collector_url: https://jaeger-collector:14268/api/traces
```

### `sampler_type`

The sampler type to use.


Type: `string`  
Default: `"const"`  

| Option | Summary |
|---|---|
| `const` | A constant decision for all traces, either 1 or 0. |


### `sampler_param`

A parameter to use for sampling. This field is unused for some sampling types.


Type: `float`  
Default: `1`  

### `tags`

A map of tags to add to tracing spans.


Type: `object`  
Default: `{}`  

### `flush_interval`

The period of time between each flush of tracing spans.


Type: `string`  
Default: `""`  


